# Changelog

## 2024-11-06 - 2.2.4 - fix(core)
Improve code style and update dependencies

- Updated @push.rocks/tapbundle to version ^5.4.3 in package.json.
- Fixed markdown formatting in readme.md.
- Improved code consistency in ts/00_commitinfo_data.ts, ts/plugins.ts, and test/test.ts.

## 2024-11-06 - 2.2.3 - fix(core)
Fix endpoint address from 'localhost' to '127.0.0.1' for better compatibility in Smarts3.getS3Descriptor

- Corrected the endpoint address in Smarts3.getS3Descriptor to ensure proper functioning across different environments.

## 2024-11-06 - 2.2.2 - fix(core)
Fixed function call for fastPut in the test suite to ensure proper file upload handling.

- Updated dependencies in package.json to newer versions.
- Corrected the function call in test suite for file upload.

## 2024-10-26 - 2.2.1 - fix(core)
Fix import and typings for improved compatibility

- Corrected the type signature for `getS3Descriptor` to return `IS3Descriptor`.
- Fixed import structure and updated dependencies for consistent namespace usage across plugins.

## 2024-10-26 - 2.2.0 - feat(ci)
Migrate CI/CD workflow from GitLab CI to Gitea CI

- Added new Gitea CI workflows for both non-tag and tag-based pushes
- Removed existing GitLab CI configuration

## 2024-05-29 - 2.1.1 - Updates and minor changes
Updates and changes based on minor configuration improvements and organizational shifts.

- Updated description file.
- Updated tsconfig settings.
- Updated npmextra.json with new githost configuration.
- Shifted to new organizational scheme.

## 2022-07-30 - 2.1.0 - Core improvements and fixes
Minor improvements and important core changes.

- Removed tslint from the core setup.

## 2022-07-30 - 2.0.2 - Bucket creation improvement
Enhanced file structure management.

- Improved bucket creation to store locally within the .nogit directory.

## 2022-04-14 - 2.0.0 to 2.0.1 - Structural updates and fixes
This release focused on core updates and structural changes.

- Reformatted the project structure.
- Core updates with minor fixes.

## 2021-12-20 - 1.0.10 - ESM Transition
Breaking changes and minor fixes, transitioning to ES Modules.

- BREAKING CHANGE: Transitioned core setup to ESM.